[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoMouseWheelLeft

Signals the OnMouseWheelLeft event handler (when assigned).

## Declaration

Source position: controls.pp line 1538

`protected function TControl.DoMouseWheelLeft(`
`Shift: TShiftState;`
`MousePos: TPoint`
`):Boolean; virtual;`

## Arguments

`Shift` |  | Shift, Ctrl, or Alt modifier for the mouse wheel event.
`MousePos` |  | TPoint instance with the coordinates where the mouse wheel event was detected.

## Function result

True if the mouse wheel event was handled in the OnMouseWheelLeft event handler.

## Description

DoMouseWheelLeft is a Boolean function used to perform actions when a horizontal mouse wheel movement towards the left has occurred in the control. It is called, via DoMouseWheelHorz, when a LM_MOUSEHWHEEL message is received and handled in the WMMouseHWheel method.

DoMouseWheelLeft signals the OnMouseWheelLeft event handler when it has been assigned in the control. Shift and MousePos contain the shift modifier and the coordinates where the mouse event occurred. They are passed as arguments to the event handler.

The return value indicates whether the event handler accepted and processed the mouse wheel event at the specified position. The default value is False, but it can be updated in the handler routine. The return value is False if OnMouseWheelLeft has not been assigned.

## See also

TControl.OnMouseWheelLeft |  | Event handler signalled for a leftward movement of the mouse wheel.
TControl.DoMouseWheelHorz |  | Performs actions needed to handle horizontal mouse wheel events.
TControl.DoMouseWheelRight |  | Signals the OnMouseWheelRight event handler.
TControl.WMMouseHWheel |  | Handles horizontal mouse wheel messages for the control.